cancel
Showing results for 
Search instead for 
Did you mean: 

laminas-escaper causing crash

SOLVED

laminas-escaper causing crash

Hi

 

I see laminas-escaper updated to 2.7.1 which has now caused an error on the front page (admin panel seems good - slow - but accessible). 

 

[2021-06-24 21:45:56] main.CRITICAL: TypeError: rawurlencode() expects parameter 1 to be string, int given in /home/magento2/vendor/laminas/laminas-escaper/src/Escaper.php:246

Anyone else experiencing the problem after updating today? 

1 ACCEPTED SOLUTION

Accepted Solutions

Re: laminas-escaper causing crash

It is because new version laminas-escaper have changed parameters

you can lock package version on: 

 

 

composer require laminas/laminas-escaper:2.7.0

 

 

It's also hotfix. We must waiting for Magento resolve that issue in next release or patch

View solution in original post

2 REPLIES 2

Re: laminas-escaper causing crash

It is because new version laminas-escaper have changed parameters

you can lock package version on: 

 

 

composer require laminas/laminas-escaper:2.7.0

 

 

It's also hotfix. We must waiting for Magento resolve that issue in next release or patch

View solution in original post

Re: laminas-escaper causing crash

Downgrading to 2.7.0 solved the issue. Thank you.